
const float Size = 16.;

vec2 pixelize(in vec2 xy)
{
    return floor(xy*Size)/Size;
}

ivec3 to3d(in ivec2 xy)
{
    return ivec3(xy.x, xy.y/int(Size), xy.y % int(Size)) + ivec3(4);
}

ivec2 to2d(in ivec3 xyz)
{
    ivec3 stw = xyz - ivec3(4);
    return ivec2(stw.x, stw.y*int(Size) + stw.z);
}

